通过


你当前正在访问 Microsoft Azure Global Edition 技术文档网站。 如果需要访问由世纪互联运营的 Microsoft Azure 中国技术文档网站,请访问 https://docs.azure.cn

Registry Endpoint - Create Or Update

创建 RegistryEndpointResource

PUT https://management.azure.com/subscriptions/{subscriptionId}/resourceGroups/{resourceGroupName}/providers/Microsoft.IoTOperations/instances/{instanceName}/registryEndpoints/{registryEndpointName}?api-version=2026-03-01

URI 参数

名称 必需 类型 说明
instanceName
path True

string

minLength: 3
maxLength: 63
pattern: ^[a-z0-9][a-z0-9-]*[a-z0-9]$

实例的名称。

registryEndpointName
path True

string

minLength: 3
maxLength: 63
pattern: ^[a-z0-9][a-z0-9-]*[a-z0-9]$

RegistryEndpoint 资源的名称

resourceGroupName
path True

string

minLength: 1
maxLength: 90

资源组的名称。 此名称不区分大小写。

subscriptionId
path True

string (uuid)

目标订阅的 ID。 该值必须是 UUID。

api-version
query True

string

minLength: 1

要用于此操作的 API 版本。

请求正文

名称 类型 说明
extendedLocation

ExtendedLocation

资源的边缘位置。

properties

RegistryEndpointProperties

此资源的资源特定属性。

响应

名称 类型 说明
200 OK

RegistryEndpointResource

资源“RegistryEndpointResource”更新作成功

201 Created

RegistryEndpointResource

资源“RegistryEndpointResource”创建作成功

标头

  • Azure-AsyncOperation: string
  • Retry-After: integer
Other Status Codes

ErrorResponse

意外错误响应。

安全性

azure_auth

Azure Active Directory OAuth2 流。

类型: oauth2
流向: implicit
授权 URL: https://login.microsoftonline.com/common/oauth2/authorize

作用域

名称 说明
user_impersonation 模拟用户帐户

示例

RegistryEndpoint_CreateOrUpdate_MaximumSet

示例请求

PUT https://management.azure.com/subscriptions/F8C729F9-DF9C-4743-848F-96EE433D8E53/resourceGroups/rgiotoperations/providers/Microsoft.IoTOperations/instances/resource-123/registryEndpoints/resource-123?api-version=2026-03-01

{
  "properties": {
    "host": "contoso.azurecr.io",
    "authentication": {
      "method": "Anonymous",
      "anonymousSettings": {}
    },
    "codeSigningCas": [
      {
        "type": "Secret",
        "secretRef": "my-secret"
      },
      {
        "type": "ConfigMap",
        "configMapRef": "my-configmap"
      }
    ]
  },
  "extendedLocation": {
    "name": "/subscriptions/F8C729F9-DF9C-4743-848F-96EE433D8E53/resourceGroups/rgiotoperations/providers/Microsoft.ExtendedLocation/customLocations/resource-123",
    "type": "CustomLocation"
  }
}

示例响应

{
  "properties": {
    "host": "contoso.azurecr.io",
    "authentication": {
      "method": "Anonymous",
      "anonymousSettings": {}
    },
    "codeSigningCas": [
      {
        "type": "Secret",
        "secretRef": "my-secret"
      },
      {
        "type": "ConfigMap",
        "configMapRef": "my-configmap"
      }
    ],
    "provisioningState": "Succeeded"
  },
  "extendedLocation": {
    "name": "/subscriptions/F8C729F9-DF9C-4743-848F-96EE433D8E53/resourceGroups/rgiotoperations/providers/Microsoft.ExtendedLocation/customLocations/resource-123",
    "type": "CustomLocation"
  },
  "id": "/subscriptions/0000000-0000-0000-0000-000000000000/resourceGroups/resourceGroup123/providers/Microsoft.IoTOperations/instances/resource-name123/registryEndpoints/resource-name123",
  "name": "resource-name123",
  "type": "Microsoft.IoTOperations/registryEndpoints",
  "systemData": {
    "createdBy": "contosouser",
    "createdByType": "User",
    "createdAt": "2024-08-09T18:13:29.389Z",
    "lastModifiedBy": "contosouser",
    "lastModifiedByType": "User",
    "lastModifiedAt": "2024-08-09T18:13:29.389Z"
  }
}
Azure-AsyncOperation: https://contoso.com/operationstatus
{
  "properties": {
    "host": "contoso.azurecr.io",
    "authentication": {
      "method": "Anonymous",
      "anonymousSettings": {}
    },
    "provisioningState": "Accepted"
  },
  "extendedLocation": {
    "name": "/subscriptions/F8C729F9-DF9C-4743-848F-96EE433D8E53/resourceGroups/rgiotoperations/providers/Microsoft.ExtendedLocation/customLocations/resource-123",
    "type": "CustomLocation"
  },
  "id": "/subscriptions/0000000-0000-0000-0000-000000000000/resourceGroups/resourceGroup123/providers/Microsoft.IoTOperations/instances/resource-name123/registryEndpoints/resource-name123",
  "name": "resource-name123",
  "type": "Microsoft.IoTOperations/registryEndpoints",
  "systemData": {
    "createdBy": "contosouser",
    "createdByType": "User",
    "createdAt": "2024-08-09T18:13:29.389Z",
    "lastModifiedBy": "contosouser",
    "lastModifiedByType": "User",
    "lastModifiedAt": "2024-08-09T18:13:29.389Z"
  }
}

定义

名称 说明
createdByType

创建资源的标识的类型。

ErrorAdditionalInfo

资源管理错误附加信息。

ErrorDetail

错误详细信息。

ErrorResponse

错误响应

ExtendedLocation

扩展位置是 Azure 位置的扩展。 它们提供了一种使用已启用 Azure ARC 的 Kubernetes 群集作为部署 Azure 服务实例的目标位置的方法。

ExtendedLocationType

接受的枚举定义 ExtendedLocation 类型。

ProvisioningState

枚举定义资源的状态。

RegistryEndpointAnonymousAuthentication

匿名身份验证

RegistryEndpointArtifactPullSecretAuthentication

项目拉取密钥身份验证

RegistryEndpointArtifactPullSecretSettings

RegistryEndpoint 项目拉取密钥身份验证属性

RegistryEndpointAuthenticationMethod

身份验证方法。

RegistryEndpointProperties

RegistryEndpoint 属性

RegistryEndpointResource

RegistryEndpoint 资源

RegistryEndpointSystemAssignedIdentityAuthentication

系统分配的身份认证

RegistryEndpointSystemAssignedManagedIdentitySettings

系统分配的托管标识属性

RegistryEndpointTrustedSigningKeyConfigMap

通过 configmap 提供的 RegistryEndpoint 信任设置。

RegistryEndpointTrustedSigningKeySecret

通过机密提供的 RegistryEndpoint 信任的设置。

RegistryEndpointTrustedSigningKeyType

RegistryEndpointTrustedSigningKeyType 值

RegistryEndpointUserAssignedIdentityAuthentication

用户分配的身份认证

RegistryEndpointUserAssignedManagedIdentitySettings

用户分配的托管标识属性

ResourceHealthState

资源的运行状况。

systemData

与创建和上次修改资源相关的元数据。

createdByType

创建资源的标识的类型。

说明
User
Application
ManagedIdentity
Key

ErrorAdditionalInfo

资源管理错误附加信息。

名称 类型 说明
info

object

附加信息。

type

string

附加信息类型。

ErrorDetail

错误详细信息。

名称 类型 说明
additionalInfo

ErrorAdditionalInfo[]

错误附加信息。

code

string

错误代码。

details

ErrorDetail[]

错误详细信息。

message

string

错误消息。

target

string

错误目标。

ErrorResponse

错误响应

名称 类型 说明
error

ErrorDetail

错误对象。

ExtendedLocation

扩展位置是 Azure 位置的扩展。 它们提供了一种使用已启用 Azure ARC 的 Kubernetes 群集作为部署 Azure 服务实例的目标位置的方法。

名称 类型 说明
name

string

扩展位置的名称。

type

ExtendedLocationType

ExtendedLocation 的类型。

ExtendedLocationType

接受的枚举定义 ExtendedLocation 类型。

说明
CustomLocation

CustomLocation 类型

ProvisioningState

枚举定义资源的状态。

说明
Succeeded

已创建资源。

Failed

资源创建失败。

Canceled

资源创建已取消。

Provisioning

资源正在预配。

Updating

资源正在更新。

Deleting

资源正在删除。

Accepted

资源已被接受。

RegistryEndpointAnonymousAuthentication

匿名身份验证

名称 类型 说明
anonymousSettings

RegistryEndpointAnonymousSettings

匿名身份验证属性

method string:

Anonymous

身份验证方法。

RegistryEndpointArtifactPullSecretAuthentication

项目拉取密钥身份验证

名称 类型 说明
artifactPullSecretSettings

RegistryEndpointArtifactPullSecretSettings

项目拉取密钥身份验证属性

method string:

ArtifactPullSecret

身份验证方法。

RegistryEndpointArtifactPullSecretSettings

RegistryEndpoint 项目拉取密钥身份验证属性

名称 类型 说明
secretRef

string

包含工件拉取密钥的 kubernetes 密钥的名称。

RegistryEndpointAuthenticationMethod

身份验证方法。

说明
SystemAssignedManagedIdentity

SystemAssignedManagedIdentity 类型

UserAssignedManagedIdentity

UserAssignedManagedIdentity 类型

Anonymous

匿名选项

ArtifactPullSecret

项目拉取密钥身份验证

RegistryEndpointProperties

RegistryEndpoint 属性

名称 类型 默认值 说明
authentication RegistryEndpointAuthentication:

Azure 容器注册表的身份验证设置。

codeSigningCas RegistryEndpointTrustedSigningKey[]:

注册表端点中的项目使用的签名证书颁发机构

healthState

ResourceHealthState

Unknown

资源的运行状况。

host

string

minLength: 3
maxLength: 63

容器注册表终结点主机名。

provisioningState

ProvisioningState

上次操作的状态。

RegistryEndpointResource

RegistryEndpoint 资源

名称 类型 说明
extendedLocation

ExtendedLocation

资源的边缘位置。

id

string (arm-id)

资源的完全限定资源 ID。 例如,“/subscriptions/{subscriptionId}/resourceGroups/{resourceGroupName}/providers/{resourceProviderNamespace}/{resourceType}/{resourceName}”

name

string

资源的名称

properties

RegistryEndpointProperties

此资源的资源特定属性。

systemData

systemData

包含 createdBy 和 modifiedBy 信息的 Azure 资源管理器元数据。

type

string

资源类型。 例如,“Microsoft.Compute/virtualMachines”或“Microsoft.Storage/storageAccounts”

RegistryEndpointSystemAssignedIdentityAuthentication

系统分配的身份认证

名称 类型 说明
method string:

SystemAssignedManagedIdentity

身份验证方法。

systemAssignedManagedIdentitySettings

RegistryEndpointSystemAssignedManagedIdentitySettings

系统分配的托管标识属性

RegistryEndpointSystemAssignedManagedIdentitySettings

系统分配的托管标识属性

名称 类型 说明
audience

string

要对其进行身份验证的服务受众。 自选;默认为服务主机配置的受众。

RegistryEndpointTrustedSigningKeyConfigMap

通过 configmap 提供的 RegistryEndpoint 信任设置。

名称 类型 说明
configMapRef

string

配置映射的名称。

type string:

ConfigMap

注册表终结点的信任类型。

RegistryEndpointTrustedSigningKeySecret

通过机密提供的 RegistryEndpoint 信任的设置。

名称 类型 说明
secretRef

string

机密的名称。

type string:

Secret

注册表终结点的信任类型。

RegistryEndpointTrustedSigningKeyType

RegistryEndpointTrustedSigningKeyType 值

说明
Secret

存储在 Kubernetes 密钥中的信任设置。

ConfigMap

存储在 Kubernetes ConfigMap 中的信任设置。

RegistryEndpointUserAssignedIdentityAuthentication

用户分配的身份认证

名称 类型 说明
method string:

UserAssignedManagedIdentity

身份验证方法。

userAssignedManagedIdentitySettings

RegistryEndpointUserAssignedManagedIdentitySettings

用户分配的托管标识属性

RegistryEndpointUserAssignedManagedIdentitySettings

用户分配的托管标识属性

名称 类型 说明
clientId

string

用户分配的托管标识的客户端 ID。

scope

string

资源的资源标识符(应用程序 ID URI)带有 .default 后缀。

tenantId

string

租户 ID。

ResourceHealthState

资源的运行状况。

说明
Available

资源可用且按预期运行。

Degraded

资源运行状况下降。

Unavailable

资源未按预期运行。

Unknown

资源状态未知。

systemData

与创建和上次修改资源相关的元数据。

名称 类型 说明
createdAt

string (date-time)

资源创建时间戳(UTC)。

createdBy

string

创建资源的标识。

createdByType

createdByType

创建资源的标识的类型。

lastModifiedAt

string (date-time)

资源上次修改的时间戳 (UTC)

lastModifiedBy

string

上次修改资源的标识。

lastModifiedByType

createdByType

上次修改资源的标识的类型。